<?xml version="1.0"?>

<xsd:schema
    xmlns:rcbase='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base'
    xmlns:gml='http://www.opengis.net/gml'
    xmlns:xsd='http://www.w3.org/2001/XMLSchema'
    xmlns='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/2.0'
    xmlns:misp="http://www.infosharp.org/misp"
    misp:id='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/2.0/RoadLink.xsd'
    targetNamespace='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/2.0'
    elementFormDefault="qualified">

  <xsd:annotation>
    <xsd:documentation xml:lang='en'>
      Sample schema for DDT Geographical Information files.
      Copyright 2004 NODA, Itsuki, AIST, Japan.
      All rights reserved.
    </xsd:documentation>
  </xsd:annotation>

  <xsd:import schemaLocation='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base/common.xsd'
	      namespace='http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base'/>

  <xsd:element name='RoadLink' type='RoadLinkType' substitutionGroup='gml:_Feature'/>


  <xsd:complexType name='RoadLinkType'>
    <xsd:complexContent>
      <xsd:extension base='rcbase:GeometryFeatureType'>
        <xsd:sequence>

          <xsd:element name='representativePoint' type='gml:geometryPropertyType'/>
	  <xsd:element name='nodeList' type='nodeListType'/>
	  <xsd:element name='roadWidth' type='xsd:float'/>
	  <xsd:element name='nLanes' type='xsd:integer'/>
          <xsd:element name='direction' type='xsd:string'/>

        </xsd:sequence>
      </xsd:extension>
    </xsd:complexContent>
  </xsd:complexType>

  <xsd:complexType name='nodeListType'>
    <xsd:sequence>
      <xsd:element name='beginId' type='rcbase:IDType'/>
      <xsd:element name='endId' type='rcbase:IDType'/>
    </xsd:sequence>
  </xsd:complexType>

</xsd:schema>
